﻿
nav ul { list-style: none; padding: 0px; margin: 0px; }
nav a { text-decoration: none; color: #33294D; font-size: 1.125rem; }

.parent .drop-title { grid-gap: 0.25rem; cursor: pointer; }
.parent .drop-title i { color: #FCB54C; margin-left: 5px; }
nav .inner-title { margin-bottom: 0.75rem; font-weight: 600; color: #052f58; font-size: 1.125rem; margin-bottom: 0.75rem; }
nav .inner-title > .menu-toggle { display: inline; margin-left: 10px; margin-bottom: 2px; }


nav li.parent > .drop-title > .menu-toggle { margin-left: 10px; }
nav li.parent:hover > .drop-title > .menu-toggle { transform: rotate(180deg); }

nav.with-border { border: 1px solid #fff; }

nav ul.innerdrop li { margin-bottom: unset; }

@media screen and (min-width: 1440px) {
    nav { width: 1364px !important; font-size: 1.125rem; }
    nav > ul { justify-content: space-around; }
    nav .drop { grid-gap: 3rem; grid-row-gap: .5rem; }
}

@media screen and (min-width: 1300px) and (max-width: 1440px) {
    nav .drop { grid-gap: 1.5rem; }
}

@media screen and (min-width: 1300px) {
    nav .drop { display: grid; grid-template-columns: repeat(6, auto); padding: 2rem; }
    .parent:hover .drop-outer { max-height: 575px; box-shadow: 0 2px 6px 2px #00000030; opacity: 1; transition: all 0.6s ease-in-out; }
}

@media screen and (min-width: 992px) and (max-width: 1300px) {
    nav .drop { display: grid; grid-template-columns: repeat(6, auto); padding: 2rem; grid-gap: 1.5rem; }
    .parent:hover .drop-outer { max-height: 575px; box-shadow: 0 2px 6px 2px #00000030; opacity: 1; }
}

@media (min-width: 992px) and (max-width: 1440px) {
    nav .call { display: none; }
    nav > ul { justify-content: space-around; }
}

@media screen and (min-width: 1240px) {
    nav > ul { display: flex; align-items: center; gap: 2.5rem; }
    nav > ul > li:nth-of-type(1) { font-size: 1.125rem; }
}

@media screen and (min-width: 1230px) {
}

@media screen and (min-width: 992px) and (max-width: 1239px) {
    nav { padding: 25px 15px; max-width: calc(100% - 20px); }
    nav a { font-size: 1rem; }
    nav > ul { gap: 0.75rem; }
}


@media screen and (min-width: 992px) {
    header { display: flex; justify-content: space-between; align-items: center; height: 200px; }
    header .mob-top { display: none; }

    nav > ul { display: flex; align-items: center; }
    nav a.lnk { color: #fff; text-decoration: none; }
    nav a.lnk:hover { color: #26bcd6; text-decoration: none; }
    nav .call { color: #052F58; }
    nav .call i { color: #26bcd6; font-size: 0.9rem; margin-right: 3px; }
    nav .call span { color: #26bcd6; }
    nav .drop span { color: #052F58; }
    nav .drop i { color: #26bcd6; font-size: 0.9rem; margin-left: 10px; }

    nav { position: relative; z-index: 99; position: fixed; left: 50%; transform: translateX(-50%); background-color: #33294D; padding: 25px; border-radius: 47px; box-shadow: 0px 2px 2px #0000000F; width: calc(100vw - 100px); }
    nav .drop-outer { max-height: 0; opacity: 0; position: absolute; bottom: -20px; transform: translate(0%, 100%); left: 0; width: max-content; border-radius: 32px; background-color: #fff; overflow: hidden; transition: all 0.6s ease-in-out; }
    nav .drop-outer ul > li { margin-bottom: 0; }
    nav > ul > li { display: flex; align-items: stretch; color: #fff; margin-bottom: 0; }
    nav > ul > li > a, nav > ul > li > .drop-title { display: flex; align-items: center; padding: unset; text-align: center; color: #fff; }
    nav .innerdrop { display: flex !important; flex-direction: column; grid-gap: 0.5rem; }
    nav .innerdrop a:hover { text-decoration: underline; }
    nav .inner-title i { display: none; }

    nav > ul > li:nth-of-type(2) { flex-basis: 14%; }

    .parent:hover .drop-title { /*background-color: #fcb54c;*/ /*color: #000;*/ border-radius: 0.25rem; }
    .parent:hover .drop-title img { transform: rotate(180deg); /*filter: brightness(0);*/ }
    nav .nav-link.drop-title:hover { border-bottom: unset; }
    nav .nav-link:hover, nav .nav-link.on { /*background-color: #fcb54c;*/ /*color: #000;*/ /*border-radius: 0.25rem;*/ border-bottom: 3px solid #FCB54C; font-weight: 500; transition: unset; }
    nav a.btn { font-weight: 200; min-height: 40px; max-width: 150px; min-width: unset; padding: 10px 30px; }
    header .mob-top .right .call { display: none; }
    nav .inner-title > .menu-toggle { display: none; }

    nav ul li.badges { grid-column: 1; grid-row: 1 / 6; }
    nav ul li.pennants { grid-column: 2; grid-row: 1; }
    nav ul li.sashes { grid-column: 2; grid-row: 2; }
    nav ul li.middle-bottom { grid-column: 2; grid-row: 3; }
    nav ul li.armbands { grid-column: 2; grid-row: 3; }
    nav ul li.tablecloths { grid-column: 2; grid-row: 4; }
    nav ul li.epaulettes { grid-column: 2; grid-row: 3; }
    nav ul li.right { grid-column: 3; grid-row: 1 / 4; display: flex; flex-direction: column; gap: 1.2rem; }
    nav ul li.range { grid-column: 3; grid-row: 3; }
    nav ul li.print { grid-column: 3; grid-row: 4; }
    nav ul li.sewing { grid-column: 3; grid-row: 5; }

    nav ul li.sashes { display: flex; flex-direction: column; gap: 2.5rem; }
    nav ul li.sashes > .wrapper { display: flex; flex-direction: column; gap: 2rem; }

    nav ul li.extra-1 .inner-title ul, nav ul li.extra-2 .inner-title ul, nav ul li.extra-3 .inner-title ul { display: flex; flex-direction: column; grid-gap: 0.875rem; }
    .mob-nav-contact { display: none; }
}

@media screen and (max-width: 991px) {
    .container:has(header) { position: fixed; top: 20px; left: 50%; transform: translateX(-50%); max-width: 90vw; border-radius: 50px; background-color: #30264b; z-index: 10; max-height: 64px; /*border: 1px solid #fff;*/ }

    .parent .drop-title i { color: #FCB54C; transform: rotate(0deg); }
    .parent .drop-title.open i { transform: rotate(-180deg); }
    .hburg-menu { display: flex; flex-flow: column wrap; justify-content: space-around; height: 3rem; width: 2.8rem; cursor: pointer; position: relative; z-index: 9; }
    .logo { z-index: 999; }


    .bar-top,
    .bar-middle,
    .bar-bottom { height: 6px; background: #fcb54c; border-radius: 5px; transform-origin: right; transition: all 0.5s; }
    .bar-top { background-color: #fcb54c; }
    .bar-middle { width: 80%; margin-left: 20%; background-color: #fcb54c; }
    .hburg-menu.on .bar-top { transform: rotate(-45deg); background-color: #fcb54c; }
    .hburg-menu.on .bar-middle { transform: translateX(1rem); opacity: 0; background-color: #fcb54c; }
    .hburg-menu.on .bar-bottom { transform: rotate(45deg); background-color: #fcb54c; }



    header { position: relative; z-index: 9; }

    .container.enquiry-open,
    header.enquiry-open,
    header.enquiry-open nav {
        z-index: 1;
    }

    header.enquiry-open nav {
        pointer-events: none;
    }
    header .mob-top { width: 100%; padding: 15px 0px; display: flex; justify-content: space-between; align-items: center; height: 64px; }
    header .mob-top img { max-height: 100%; max-width: 150px; }
    header .mob-top > a { display: block; max-height: 100%; }
    header .mob-top .right { display: flex; align-items: center; justify-content: space-between; gap: 1rem; width: 100%; padding-left: 15px; }
    header .mob-top .right .call { font-size: 1.5rem; color: #fcb54c; }

    nav { overflow: auto; position: fixed; z-index: 1000; width: 100%; left: 0; height: calc(100vh - 100px); pointer-events: none; opacity: 0; display: flex; flex-direction: column; justify-content: center; }
    nav.open { background-color: transparent !important; justify-content: start; padding-top: 10%; }
    nav:before { display: block; content: ""; }
    nav.with-border { border: unset; }
    header.nav-show nav { opacity: 1; }
    nav > ul { grid-gap: 0rem; display: flex; flex-direction: column; width: 100%; margin: 0 auto; padding: 1rem 2rem; }
    nav > ul > li > a, nav > ul > li > .drop-title { font-size: 2rem; display: flex; justify-content: start; width: 100%; color: #fff; font-weight: 300; display: flex; align-items: center; grid-gap: 0.5rem; }
    nav > ul > li > a.btn.blue { background-color: #052f58; max-width: 360px; margin: 0 auto; }
    .drop-outer { }
    .drop { display: flex; flex-direction: column; grid-gap: 0.75rem; justify-content: center; text-align: left; background-color: transparent; margin: 0 auto; }

    .innerdrop { width: 100%; margin-bottom: 0; }
    .innerdrop a { color: #fff; font-size: 1.1rem; padding: 5px 0px; display: block; }
    nav a { color: #fff; }
    nav .inner-title { font-size: 2rem; }
    nav .inner-title hr { display: none; }
    nav > ul > li:last-child { order: 2; }
    nav > ul .call { order: 1; }
    nav > ul > li { opacity: 0; transform: translate(32px); transition-property: opacity, transform; transition-duration: 0.2s; }
    body:has(header.nav-show nav) { height: 100vh; overflow: hidden; }
    body:has(header.nav-show nav) #content { opacity: 0; }
    header.nav-show nav { pointer-events: all; background-color: #fff; }
    header.nav-show nav > ul > * { opacity: 1; transform: translate(0); }
    header.nav-show nav > ul > li:not(:has(.btn)), nav .inner-title { width: 100%; margin-bottom: 10px; }
    header.nav-show nav > ul > :nth-child(1) { transition-delay: 0.5s }
    header.nav-show nav > ul > :nth-child(2) { transition-delay: 0.1s }
    header.nav-show nav > ul > :nth-child(3) { transition-delay: 0.2s }
    header.nav-show nav > ul > :nth-child(4) { transition-delay: 0.3s }
    header.nav-show nav > ul > :nth-child(5) { transition-delay: 0.4s }
    header.nav-show nav > ul > :nth-child(6) { transition-delay: 0.6s }
    nav.sub-showing { }
    header.nav-show nav.sub-showing > ul > * { transform: none; }

    .drop-outer { display: none; }
    .drop-outer .drop { opacity: 0; padding: 15px 0px; }
    .drop-outer.showing .drop { opacity: 1; }
    .drop-outer .drop .inner-title { font-size: 1.2rem; font-weight: 600; }

    .innerdrop { display: none; }
    .open .inner-title { border-radius: .25rem .25rem 0 0; }
    .open .inner-title i { transform: rotate(180deg); }

    .inner-title .menu-toggle { display: inline; margin-left: 10px; margin-bottom: 2px; }
    .drop-title .menu-toggle { width: 20px; height: auto; margin-left: 10px; }
    .open .inner-title .menu-toggle, .drop-title.open .menu-toggle { transform: rotate(180deg); }
    .inner-title i { margin-left: 5px; }
    nav .btn.blue { display: none; }
    nav li.call { display: none; }

    nav li.logo-img { display: none; }

    nav ul li.sashes > .wrapper { margin-top: 30px; }

    nav ul li.right ul.innerdrop { margin-bottom: 25px; }
}

@media screen and (max-width:768px) {

    header .logo { width: 188px; height: 70px; }
    header .mob-top { padding: 5px 0px; }
    nav { height: calc(100vh - 80px); }

    nav > ul { grid-gap: 0rem; }

    .hburg-menu { transform: scale(0.7); }
}

@media screen and (max-width:500px) {
    nav > ul > li > a, nav > ul > li > .drop-title, nav .inner-title { font-size: 7.5vw; }
}

@media screen and (max-width:400px) {
    nav > ul > li:last-child { margin-top: 2rem; }
    .drop { grid-gap: .25rem; }
    .innerdrop a { font-size: 1.05rem; }
}

@media screen and (max-width:350px) {
    nav > ul > li:last-child { margin-top: 1.5rem; }
    .drop { grid-gap: .25rem; }
    .innerdrop a { font-size: 1rem; }
    nav a { font-size: 1rem; }
}
